gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Structs.TypeFundamentalInfo

Contents

- Exported types
- Methods
- Properties
  - typeFlags

Description

A structure that provides information to the type system which is used specifically for managing fundamental types.

Synopsis

- newtype TypeFundamentalInfo = TypeFundamentalInfo (ManagedPtr TypeFundamentalInfo)
- newZeroTypeFundamentalInfo :: MonadIO m => m TypeFundamentalInfo
- getTypeFundamentalInfoTypeFlags :: MonadIO m => TypeFundamentalInfo -> m [TypeFundamentalFlags]
- setTypeFundamentalInfoTypeFlags :: MonadIO m => TypeFundamentalInfo -> [TypeFundamentalFlags] -> m ()

# Exported types

newtype TypeFundamentalInfo Source #

Memory-managed wrapper type.

Constructors

TypeFundamentalInfo (ManagedPtr TypeFundamentalInfo) |

#### Instances

Instances details

Eq TypeFundamentalInfo Source # |
Instance details Defined in GI.GObject.Structs.TypeFundamentalInfo Methods (==) :: TypeFundamentalInfo -> TypeFundamentalInfo -> Bool Source # (/=) :: TypeFundamentalInfo -> TypeFundamentalInfo -> Bool Source #
BoxedPtr TypeFundamentalInfo Source # |
Instance details Defined in GI.GObject.Structs.TypeFundamentalInfo Methods boxedPtrCopy :: TypeFundamentalInfo -> IO TypeFundamentalInfo Source # boxedPtrFree :: TypeFundamentalInfo -> IO () Source #
CallocPtr TypeFundamentalInfo Source # |
Instance details Defined in GI.GObject.Structs.TypeFundamentalInfo Methods boxedPtrCalloc :: IO (Ptr TypeFundamentalInfo) Source #
ManagedPtrNewtype TypeFundamentalInfo Source # |
Instance details Defined in GI.GObject.Structs.TypeFundamentalInfo Methods toManagedPtr :: TypeFundamentalInfo -> ManagedPtr TypeFundamentalInfo Source #
tag ~ 'AttrSet => Constructible TypeFundamentalInfo tag Source # |
Instance details Defined in GI.GObject.Structs.TypeFundamentalInfo Methods new :: MonadIO m => (ManagedPtr TypeFundamentalInfo -> TypeFundamentalInfo) -> [AttrOp TypeFundamentalInfo tag] -> m TypeFundamentalInfo Source #

newZeroTypeFundamentalInfo :: MonadIO m => m TypeFundamentalInfo Source #

Construct a `TypeFundamentalInfo` struct initialized to zero.

# Methods

# Properties

## typeFlags

`TypeFundamentalFlags` describing the characteristics of the fundamental type

getTypeFundamentalInfoTypeFlags :: MonadIO m => TypeFundamentalInfo -> m [TypeFundamentalFlags] Source #

Get the value of the “`type_flags`” field. When overloading is enabled, this is equivalent to

    get typeFundamentalInfo #typeFlags

setTypeFundamentalInfoTypeFlags :: MonadIO m => TypeFundamentalInfo -> [TypeFundamentalFlags] -> m () Source #

Set the value of the “`type_flags`” field. When overloading is enabled, this is equivalent to

    set typeFundamentalInfo [ #typeFlags := value ]